# Plotting membrane speakers

## Overview

Project for wire plotting of membrane speakers.  for wildcard week in mas.836 2018

- Sam Calisch
- Elena Chong
- Zijun Wei

We will use a custom magnet wire plotting tool for the Zund cutter to plot coils for audio speakers.

<img src="https://calischs.pages.cba.mit.edu/kiri-tww/img/flatcoil/flatcoil-40awg-small.mp4" width=600px>

<img src="https://calischs.pages.cba.mit.edu/kiri-tww/img/flatcoil/flatcoil-40awg-microscope.jpg" height=250px>
<img src="https://gitlab.cba.mit.edu/calischs/kiri-tww/raw/master/img/flatcoil/flatcoil-cut.jpg" height=250px>


## Simulation

Two approaches: Coil-magnet, and coil-coil.

### Coil-coil

The coil-coil topology relies on coils to generate all magnetic fields, not just the time varying one.


<a href='comsol/coil-coil-speaker.mph'>comsol file</a>

<img src="img/coil-coil-flux.png" height=200px>

<img src="img/coil-coil-force.png" height=200px>

### Magnet-coil

The coil-magnet topology (planar magnetic) is used for some high end headphones.  It can produce significantly more force than coil-coil, even with very thin magnets.

<a href='comsol/magnet-coil-speaker.mph'>comsol file</a>

<img src="img/magnet-coil-flux.png" height=300px>
<img src="img/magnet-coil-force.png" height=300px>

#### magnet grids

In our meeting this morning, we talked about how rod magnets are more widely available than long, thin bar magnets, and that making grids of rod magnets could make assembly really easy and offer design freedom.  Below are two sketches of square and hex grids with coils routed to capture perpendicular flux.  Magnets are blue circles, all closest pairs have opposite polarity.

<img src="img/square-grid.png" height=400px>
<img src="img/hex-grid.png" height=400px>

The design below has rotational symmetry, which may help flatten its frequency response.

<img src="img/hex-spiral-screenshot.png" height=400px>
<img src="img/hex-spiral-coil.jpg" height=400px>


## Links:

- [Planar magnetic headphones](https://www.innerfidelity.com/content/how-planar-magnetic-headphones-work)
- [Ben Katz's Planar magnetic headphones pt. 1](http://build-its-inprogress.blogspot.com/2017/08/planar-magnetic-headphones-part-1.html)
- [Ben Katz's Planar magnetic headphones pt. 2](http://build-its-inprogress.blogspot.com/2017/09/planar-magnetic-headphones-part-2.html)
- [Applied Science magnetics video](https://www.youtube.com/watch?v=4UFKl9fULkA)